#variationImages{
    width: 100%;
}

div#add-dimensions-modal {
    --modal-width: 1034px;
}

div#add-dimensions-modal.minimog-modal .modal-content-wrap{
    max-width: 1024px;
    margin: auto;
}

div#add-dimensions-modal h5{
    border-bottom: 1px solid #e3e3e3;
    margin-top: 1em;
}

div#add-dimensions-modal .price-div{
    margin: 0 0 1em 0;
}

div#add-dimensions-modal .form-submit{
    margin-top: 1em;
}

#add-dimensions-button{
    width: 100%;
}

.w-form-group .w-form-group-el input[type=number] {
    width: 86px;
}

#add-dimensions-modal .modal-content-inner {
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

/* div#add-dimensions-modal.minimog-modal .modal-content-wrap {

    max-height: calc(100 * var(--apto-vh));
} */

#add-dimensions-modal .button-close-modal {
    z-index: 2;
    right: 25px;
    top: 0px;
}

button#w-cart-submit {
    width: 100%;
}

button#w-cart-submit svg {
    stroke: #ffffff;
    top: 0.3em;
    position: relative;
}

.w-button input {
    position: absolute;
}

.photo-section {
    width: 60%;
    padding: 1em;
}
.attr-section {
    width: 40%;
    padding: 1em;
}

.w-form-group{
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.w-button {

    position: relative;
    border: 1px solid #e3e3e3;
}

.w-button label,
.w-button input {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.w-button input[type="radio"] {
    opacity: 0.011;
    z-index: 100;
    position: absolute;
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
}

.w-button input[type="radio"]:checked + label {
    background: rgb(237,17,101);
    color: #ffffff;
}

.w-button input[type="radio"].disabled + label {
    background: #e3e3e3;
    color: #ffffff;
}


.w-button label {
    cursor: pointer;
    z-index: 1;
    line-height: 1.6em;
    position: relative;
    font-size: 0.8em;
    margin: 0;
    padding: 1em;
}
.w-form-group-el label {
    width: 100%;
}
span.w-price {
    font-weight: 900;
    color: #000000;
    font-size: 2em;
    margin-bottom: 1em;
}

.photo-section > div {
    width: 100%;
    position: relative;
    margin:0 0 1em 0;
}

img#paintImage {
    position: absolute;
    z-index: 0;
}
img#cropImage {
    z-index: 1;
    position: relative;
}

.transImage {
    transition: 0.2s ease-in-out;
    filter: blur(0px);
}
.transImage.loading {
    filter: blur(5px);
}

img#paintImage {
    left: 50%;
    bottom: 20%;
    transform: translate3d(-50%,-0%,0);
}

.cropper-view-box {
    outline-color: rgb(237,17,101);
}

.cropper-line,.cropper-point {
    background-color: rgb(237,17,101);
}



.w-button input {
    position: absolute;
}

.photo-section {
    width: 60%;
    padding: 1em;
}
.attr-section {
    width: 40%;
    padding: 1em;
}

.w-form-group{
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.w-button {

    position: relative;
    border: 1px solid #e3e3e3;
}

.w-button label,
.w-button input {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.w-button input[type="radio"] {
    opacity: 0.011;
    z-index: 100;
    position: absolute;
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
}

.w-button input[type="radio"]:checked + label {
    background: rgb(237,17,101);
    color: #ffffff;
}

.w-button input[type="radio"].disabled + label {
    background: #e3e3e3;
    color: #ffffff;
}


.w-button label {
    cursor: pointer;
    z-index: 1;
    line-height: 1.6em;
    position: relative;
    font-size: 0.8em;
    margin: 0;
    padding: 1em;
}
.w-form-group-el label {
    width: 100%;
}

.form-wrapper.frame-wrapper .w-form-group {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    gap: 0.5em;
}

/*== start of code for tooltips ==*/
.tool {
    cursor: help;
    position: relative;
}


/*== common styles for both parts of tool tip ==*/
.tool::before,
.tool::after {
    left: 50%;
    opacity: 0;
    position: absolute;
    z-index: -100;
}

.tool:hover::after,
.tool:focus::after {
    opacity: 1;
    transform: scale(1) translateY(40px);
    z-index: 100;
}
.tool:hover::before,
.tool:focus::before {
    opacity: 1;
    transform: scale(1) translateY(-10px);
    z-index: 100;
}


/*== pointer tip ==*/
.tool::before {
    border-style: solid;
    border-width: 1em 0.75em 0 0.75em;
    border-color: #3E474F transparent transparent transparent;
    bottom: 100%;
    content: "";
    margin-left: -0.5em;
    transition: all .35s cubic-bezier(.84,-0.18,.31,1.26), opacity .05s;
    transform:  scale(.6) translateY(-90%);
}

.tool:hover::before,
.tool:focus::before {
    transition: all .35s cubic-bezier(.84,-0.18,.31,1.26);
}


/*== speech bubble ==*/
.tool::after {
    background: #3E474F;
    border-radius: .25em;
    bottom: 180%;
    color: #EDEFF0;
    content: attr(data-tooltip);
    margin-left: -100px;
    padding: 1em;
    transition: all .35s cubic-bezier(.84,-0.18,.31,1.26);
    transform:  scale(.6) translateY(50%);
    width: 200px;
    font-size: .75em;
    line-height: 1.5em;
}

.tool:hover::after,
.tool:focus::after  {
    transition: all .35s cubic-bezier(.84,-0.18,.31,1.26);
}

.showGuides{
    height: 100%;
    left: calc(100% / 3);
    top: 0;
    width: calc(100% / 3);
    position: absolute;
    z-index: 1;
    pointer-events: none;
    border-left: 2px solid #ed1165;
    border-right: 2px solid #ed1165;
}

@media (max-width: 850px) {

    .cropper-crop-box::before {
        content: '';
        position: absolute;
        border: 25px solid transparent;
        top: -30px;
        left: -30px;
        right: -30px;
        bottom: -30px;
    }

    div#add-dimensions-modal.minimog-modal .modal-content-wrap {
        max-height: 100dvh;
    }

    #add-dimensions-modal .photo-section > div {
        margin: 0 0 1em 0;
    }

    #add-dimensions-modal .photo-section {
        display: block;
        justify-content: unset;
        align-items: unset;
    }

    #add-dimensions-modal .photo-section {
        padding: 0;
    }

    .w-content-div.w-content-colors:first-child .w-form-group {
        width: 100%;
    }

    .w-content-wrapper {
        flex-direction: column;
        gap: 0;
    }

    #add-dimensions-modal .modal-content-inner {
        flex-direction: column;
        overflow-x: hidden;
        margin-top: 1em;
    }

    #add-dimensions-modal .photo-section,#add-dimensions-modal .attr-section {
        width: 100%;
    }

    #add-dimensions-modal .attr-section {
        padding: 0 1em 1em 1em;
        margin-bottom: 150px;
    }

    /* #add-dimensions-modal .photo-section {
        padding: 1em 1em 0 1em;
        display: flex;
        justify-content: center;
        align-items: center;
    } */

    #add-dimensions-modal .tool::after {
        margin-bottom: 1em;
    }

    #add-dimensions-modal div#add-dimensions-modal {
        --modal-spacing: 0;
    }

    #add-dimensions-modal .modal-content{
        max-width: 100vw;
        top: 25px;
    }

    div#add-dimensions-modal form {
        margin-bottom: 4em;
    }

    div#add-dimensions-modal .form-submit {
        margin-top: 0;
        position: fixed;
        bottom: 50px;
        z-index: 90;
        left: 0;
        background: #fff;
        padding: 0.4em;
		padding-left: 1em;
        border-top: 1px solid #e3e3e3;

        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    div#add-dimensions-modal .price-div,
    div#add-dimensions-modal .btn-div{
        width: 50%;
    }

    .price-add-wrapper {
        display: flex;
        align-items: center;
        justify-content: center;

    }

    .apto-scroll-down,
    .apto-scroll-down::before {
        pointer-events: none;
        position: fixed;
        bottom: 230px;
        left: 50%;
        transform: translateX(-50%);
        margin-left: -4px;
        display: block;
    }

    .apto-scroll-down {
        width: 40px;
        height: 70px;
        border: 2px solid #000;
        border-radius: 25px;
        background: #fff;
        opacity: 0.75;
        z-index: 2;
    }

    /* .apto-scroll-down::before {
        content: '';
        border: solid black;
        border-width: 0 3px 3px 0;
        display: inline-block;
        padding: 3px;
        transform: rotate(-135deg);
        bottom: 5px;
        animation: 1.2s scroll  infinite;
    } */

    .apto-scroll-down img {
        margin-top: 14px;
        transform: scaleY(1.5);
    }

    #add-dimensions-modal #w-cart-submit {
        overflow: hidden;
    }

    @keyframes scroll {
        0% {
            opacity: 0;
            transform: rotate(-135deg) scale(0.75);
            bottom: 5px;
        }
        10% {
            opacity: 1;
            transform: rotate(-135deg) scale(1);
        }
        100% {
            opacity: 0;
            transform: rotate(-135deg) scale(0.75);
            bottom: 55px;
        }
    }

    @keyframes fadeIn {
        0% {
            opacity: 0;
        }
        100% {
            opacity: 1;
        }
            
    }
}

body.product-category-tapetsaries .cart > simpler-checkout {
    display: none;
}

.form-submit .btn-div {
    padding-bottom: 1em;
}

.vertical-line {
    top: 0;
    border-left: 1px dashed #eee;
    height: 100%;
    position: absolute;

}

.newTry {
    height: 100%;
}

.cropper-container .cropper-dashed.dashed-v {
    display: none;
}

.apto-scroll-down {
    display: none;
}

#add-dimensions-modal .w-form-group {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: unset;
}

#add-dimensions-modal .w-button {
    border-radius: unset;
}

#add-dimensions-modal .w-button label {
    cursor: pointer;
    z-index: 1;
    line-height: 1.6em;
    position: relative;
    font-size: 0.8em;
    margin: 0;
    padding: 1em;
    border-radius: unset;
}


.swipe-indicator-container {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translateX(-50%);
    width: 40px;
    height: 70px;
    background-color: transparent;
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
    border-radius: 25px;
    border: 1.5px solid rgba(0, 0, 0, 0.8);
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
    z-index: 100;
}

.chevron {
    width: 14px;
    height: 14px;
    border: solid rgba(0, 0, 0, 0.9);
    border-width: 0 2px 2px 0;
    display: inline-block;
    transform: rotate(-135deg);
    margin: -2px 0;
}

.chevron-container {
    height: 36px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    animation: bounceUp 1.5s infinite;
}

@media screen and (max-width: 768px) {
    simpler-checkout {
        display: none;
    }

    .swipe-indicator-container {
        display: flex;
    }
}

@keyframes bounceUp {

    0%,
    20%,
    50%,
    80%,
    100% {
        transform: translateY(0);
    }

    40% {
        transform: translateY(-8px);
    }

    60% {
        transform: translateY(-4px);
    }
}